--- src/backend/postmaster/pgstat.c
+++ src/backend/postmaster/pgstat.c
@@ -910,7 +910,7 @@
 	/*
 	 * Free the dbid list.
 	 */
-	pfree((char *) dbidlist);
+	pfree(dbidlist);
 
 	/*
 	 * Tell the caller how many removeable objects we found
--- src/pl/plpgsql/src/gram.y
+++ src/pl/plpgsql/src/gram.y
@@ -432,8 +432,8 @@
 						memcpy(ftmp, $2->fieldnames, nfields * sizeof(char *));
 						memcpy(vtmp, $2->varnos, nfields * sizeof(int));
 
-						pfree((char *)($2->fieldnames));
-						pfree((char *)($2->varnos));
+						pfree($2->fieldnames);
+						pfree($2->varnos);
 
 						$2->fieldnames = ftmp;
 						$2->varnos = vtmp;
